curl --request GET \
--url https://{host}/lucca-api/business-establishments \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "business-establishments",
"url": "https://example.ilucca.net/lucca-api/business-establishments?limit=25",
"totalCount": 28,
"items": [
{
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5",
"name": "Lucca Marseille",
"remoteId": "00004",
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"taxIdentificationNumber": {
"format": "franceSIRET",
"value": "0000000000000"
},
"address": {
"addressLines": [
"Lucca",
"10 Place de la Joliette",
"Les Docks Atrium 10.2"
],
"postalCode": "13002",
"locality": "Marseille",
"administrativeArea": "Bouches-du-Rhône",
"countryCode": "FRA"
},
"timezoneId": "Europe/Paris",
"isArchived": false,
"lastArchivedAt": null,
"createdAt": "2024-05-23T13:45:26.0001Z",
"lastUpdatedAt": "2024-05-23T13:45:26.0001Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/business-establishments?page=!sdk87Sdh&limit=25"
}
},
"embedded": {
"legal-entity": {
"123": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123",
"legalName": "Lucca S.A.S.",
"remoteId": "LE:83.2938",
"countryCode": "FRA",
"currencyCode": "EUR",
"taxIdentificationNumber": {
"format": "franceSIREN",
"value": "44163769100128"
},
"industryCode": {
"format": "franceAPE",
"value": "7022Z"
},
"createdAt": "2024-01-01T08:34:23.0001Z",
"lastUpdatedAt": "2024-01-01T08:34:23.0001Z",
"lastArchivedAt": null,
"links": {
"businessEstablishments": {
"href": "https://example.ilucca.net/lucca-api/business-establishments?legalEntity.id=123"
}
}
}
}
}
}List business-establishments.
curl --request GET \
--url https://{host}/lucca-api/business-establishments \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "business-establishments",
"url": "https://example.ilucca.net/lucca-api/business-establishments?limit=25",
"totalCount": 28,
"items": [
{
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5",
"name": "Lucca Marseille",
"remoteId": "00004",
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"taxIdentificationNumber": {
"format": "franceSIRET",
"value": "0000000000000"
},
"address": {
"addressLines": [
"Lucca",
"10 Place de la Joliette",
"Les Docks Atrium 10.2"
],
"postalCode": "13002",
"locality": "Marseille",
"administrativeArea": "Bouches-du-Rhône",
"countryCode": "FRA"
},
"timezoneId": "Europe/Paris",
"isArchived": false,
"lastArchivedAt": null,
"createdAt": "2024-05-23T13:45:26.0001Z",
"lastUpdatedAt": "2024-05-23T13:45:26.0001Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/business-establishments?page=!sdk87Sdh&limit=25"
}
},
"embedded": {
"legal-entity": {
"123": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123",
"legalName": "Lucca S.A.S.",
"remoteId": "LE:83.2938",
"countryCode": "FRA",
"currencyCode": "EUR",
"taxIdentificationNumber": {
"format": "franceSIREN",
"value": "44163769100128"
},
"industryCode": {
"format": "franceAPE",
"value": "7022Z"
},
"createdAt": "2024-01-01T08:34:23.0001Z",
"lastUpdatedAt": "2024-01-01T08:34:23.0001Z",
"lastArchivedAt": null,
"links": {
"businessEstablishments": {
"href": "https://example.ilucca.net/lucca-api/business-establishments?legalEntity.id=123"
}
}
}
}
}
}Required OAuth 2.0 Scopes
business-establishments.readonly
business-establishments.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Only return business-establishments belonging to one of the given legal-entity id.
1["1", "3"]Filter business-establishments by their name and/or remoteId. The search is case insensitive and looks for partial matches.
1When omitted: return both archived and non-archived resources.
When true: only return archived resources.
When false: only return non-archived resources.
Cursor of the page to retrieve. Read more about pagination.
Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.
0 <= x <= 100Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A collection of business-establishment resources.
"business-establishments"Total number of business-establishment resources across all pages that satisfy query parameters.
x >= 0100Show child attributes
Links to related resources
Show child attributes
Embeds the representation of resources related to the business-establishment(s).
Only returned if requested by the API client: ?include=embedded.
Show child attributes
Was this page helpful?